# $Revision: 1.47 $, $Date: 2006/10/01 17:47:47 $
%include	/usr/lib/rpm/macros.perl
Summary:	MYSQLSTAT - utilities to monitor, store and display MySQL DBMS usage statistics
Summary(pl):	MYSQLSTAT - narzdzia do monitorowania, zapisywania i wywietlania statystyk MySQL
Name:		mysqlstat
Version:	0.0.0.4
Release:	10
Epoch:		0
License:	GPL
Group:		Applications/Databases
Source0:	http://www.mysqlstat.org/dist/%{name}-%{version}-beta.tar.gz
# Source0-md5:	234035de66c91675362487e55446ed5b
Source1:	%{name}.cron
Source2:	%{name}-apache.conf
Source3:	%{name}.conf
Patch0:		%{name}-paths.patch
Patch1:		%{name}-logo.patch
Patch2:		%{name}-owner.patch
Patch3:		%{name}-qcache.patch
Patch4:		%{name}-emptypass.patch
Patch5:		%{name}-ndebug.patch
URL:		http://www.mysqlstat.org/en/
BuildRequires:	perl(Fcntl) >= 1.03
BuildRequires:	perl-AppConfig >= 1.52
BuildRequires:	perl-CGI >= 2.752
BuildRequires:	perl-DBD-mysql >= 1.221
BuildRequires:	perl-DBI >= 1.19
BuildRequires:	perl-Digest-MD5 >= 1.19
BuildRequires:	perl-HTML-Template >= 2.5
BuildRequires:	perl-Storable >= 2.04
BuildRequires:	perl-rrdtool >= 1.00
BuildRequires:	rpmbuild(macros) >= 1.264
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	crondaemon
Requires:	perl(Fcntl) >= 1.03
Requires:	perl-AppConfig >= 1.52
Requires:	perl-DBD-mysql >= 1.221
Requires:	perl-DBI >= 1.19
Requires:	perl-Storable >= 2.04
Requires:	perl-rrdtool >= 1.00
Provides:	user(mysqlstat)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	/etc/%{name}

%description
MYSQLSTAT - A set of utilities to monitor, store and display MySQL
DBMS usage statistics.

Types of stats:
- Number of queries (queries/sec)
- Number of Connections (conn/sec)
- Data In/Out (bytes/sec)
- Key write requests (requests/sec)
- Key read requests (requests/sec)
- Key writes (writes/sec)
- Key reads (reads/sec)
- Types of queries
- Temporary and disk tables usage

%description -l pl
MYSQLSTAT - zestaw narzdzi do monitorowania, zapisywania i
wywietlania statystyk systemu baz danych MySQL.

Rodzaje statystyk:
- Liczba zapyta (zapytania/sekund)
- Liczba pocze (poczenia/sekund)
- Wejcie/wyjcie danych (bajty/sekund)
- dania zapisu klucza (dania/sekund)
- dania odczytu klucza (dania/sekund)
- Zapisy klucza (zapisy/sekund)
- Odczyty klucza (odczyty/sekund)
- Rodzaje zapyta
- Wykorzystanie tabel tymczasowych i na dysku

%package cgi
Summary:	MYSQLSTAT - CGI script
Summary(pl):	MYSQLSTAT - skrypt CGI
Group:		Applications/WWW
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apache(mod_access)
Requires:	apache(mod_alias)
Requires:	apache(mod_auth)
Requires:	apache(mod_cgi)
Requires:	perl-CGI >= 2.752
Requires:	perl-Digest-MD5 >= 1.19
Requires:	perl-HTML-Template >= 2.5
Requires:	webapps
Requires:	webserver = apache

%description cgi
This package contains the cgi-script for MYSQLSTAT.

%description cgi -l pl
Ten pakiet zawiera skrypt CGI dla programu MYSQLSTAT.

%prep
%setup -q -n %{name}-%{version}-beta
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure2_13

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/cron.d,%{_datadir}/%{name},/var/{cache,lib}/%{name},%{_webapps}/%{_webapp}}

%{__make} -j1 install \
	BINDEST=$RPM_BUILD_ROOT%{_prefix}/lib/%{name} \
	ETCDEST=$RPM_BUILD_ROOT%{_sysconfdir} \
	CGIBINDEST=$RPM_BUILD_ROOT%{_prefix}/lib/%{name} \
	VARDEST=$RPM_BUILD_ROOT/var/lib/%{name} \
	LIBSDEST=$RPM_BUILD_ROOT%{_prefix}/lib/%{name} \
	HOME=$RPM_BUILD_ROOT%{_datadir}/%{name} \

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 138 -g http -c "MySQL Statistics" mysqlstat

%postun
if [ "$1" = "0" ]; then
	%userremove mysqlstat
fi

%preun cgi
if [ "$1" = "0" ]; then
	rm -f /var/cache/%{name}/* 2>/dev/null
fi

%triggerin cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin cgi -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun cgi -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc %lang(ru) FAQ.RUS README.RUS TODO.RUS
%doc bin/print_data
%dir %attr(700,mysqlstat,root) %{_sysconfdir}
%attr(600,mysqlstat,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/mysqlstat.pm
%attr(755,root,root) %{_prefix}/lib/%{name}/collector
%dir %attr(750,mysqlstat,http) /var/lib/%{name}

%files cgi
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr(755,root,root) %{_prefix}/lib/%{name}/mysqlstat.cgi
%dir %attr(750,http,http) /var/cache/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysqlstat.spec,v $
Revision 1.47  2006/10/01 17:47:47  glen
- rel 10

Revision 1.46  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.45  2006/09/08 18:04:20  glen
- rel 9 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.44  2006/05/19 21:34:14  glen
- drop triggers

Revision 1.43  2006/05/15 09:24:05  glen
- put webapps trigger on correct package, rel 8

Revision 1.42  2006/04/15 13:04:06  glen
- use %service; rel 7

Revision 1.41  2006/02/03 16:10:58  baggins
- release 6

Revision 1.40  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.39  2005/12/07 16:46:07  glen
- rpmbuild macros for webapps

Revision 1.38  2005/12/07 16:44:59  glen
- use webapps framework for -cgi package
- add patch to remove unneccessary Data::Dumper perl dep
- make package noarch and fix amd64 build
- mysqlstat user needs not to belong to http group
- cache dir moved to FHS compatible /var/cache/mysqlstat
- depend on perl-rrdtool, rather main rrdtool package

Revision 1.37  2005/11/20 22:53:05  glen
- rel 5

Revision 1.36  2005/11/09 00:10:56  zbyniu
- BR: rrdtool -> perl-rrdtool

Revision 1.35  2005/08/16 14:26:59  glen
- add empty password patch, rel 4

Revision 1.34  2005/07/10 21:54:17  glen
- rel 3; STBR

Revision 1.33  2005/07/10 21:53:40  glen
- include macros.perl

Revision 1.32  2005/07/10 21:49:06  glen
- doesn't work with multiple make jobs, force -j1

Revision 1.31  2005/07/10 12:35:53  glen
- use apache config triggers

Revision 1.30  2005/05/24 19:17:32  darekr
- ugh reverted

Revision 1.29  2005/05/24 19:01:12  darekr
- too many \

Revision 1.28  2005/05/18 09:05:00  glen
- moved cgi package deps there where they belong

Revision 1.27  2005/05/18 08:06:17  glen
- cleanup

Revision 1.26  2005/05/18 08:05:16  glen
- updated qcache patch
- need to remove old .rrd files as file format has changed (template error)

Revision 1.25  2005/05/17 09:36:25  glen
- R: apache(mod_auth)
- add qcache patch

Revision 1.24  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.23  2005/04/01 20:36:53  glen
- remove duplicate file

Revision 1.22  2005/04/01 20:29:08  glen
- updated apache config

Revision 1.21  2005/04/01 20:21:24  glen
- apache version independant config linking (from template-apache-package.spec)
- adapter friendly %description
- apache modules deps on -cgi
- sorted %verify attrs

Revision 1.20  2004/12/10 06:22:11  ankry
- rel. 2

Revision 1.19  2004/12/09 12:57:00  glen
- remove fakeroot BR

Revision 1.18  2004/12/09 12:54:41  glen
- add patch to allow building with non-root user

Revision 1.17  2004/12/09 12:12:34  glen
- rel 1; STBR

Revision 1.16  2004/12/09 12:11:50  glen
- added default config for package
- now cron is enabled so all you have to do is setup proper config

Revision 1.15  2004/12/09 12:07:08  glen
- renamed .conf to -apache.conf

Revision 1.14  2004/12/06 17:06:24  glen
- use fakeroot to install package data
- remove trailing spaces from %desc

Revision 1.13  2004/12/02 23:57:12  qboosh
- pl for -cgi

Revision 1.12  2004/12/02 21:50:40  glen
- typos; remove apache config from TODO

Revision 1.11  2004/12/02 21:48:47  glen
- add apache config

Revision 1.10  2004/12/02 20:58:35  ankry
- R(pre,postun)

Revision 1.9  2004/12/02 20:56:43  ankry
- group http belongs to setup; removed noop code

Revision 1.8  2004/12/02 20:50:59  glen
- -cgi requires webserver
- store cache images in non-public dir

Revision 1.7  2004/12/02 20:20:50  glen
- subpackage cgi
- P: group(http)
- added sample crontab

Revision 1.6  2004/12/02 14:45:25  ankry
- standardized useradd use

Revision 1.5  2004/12/02 12:13:35  glen
- with user mysqlstat

Revision 1.4  2004/11/29 19:43:53  qboosh
- pl

Revision 1.3  2004/11/29 14:34:16  glen
- useable

Revision 1.2  2004/11/29 11:42:20  ankry
- formatting

Revision 1.1  2004/11/29 11:31:32  glen
- raw
